#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-DkWYMNsWxshA7XRCNsCjwG-dns-internal
key:                  dns-4.1.1-DkWYMNsWxshA7XRCNsCjwG-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  c0c53b1ccab7222b8a7e4258d25889e0
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-DkWYMNsWxshA7XRCNsCjwG-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-KSZIoACaSMlHctQ7vOTAKz
    attoparsec-0.14.4-4lxImiie977LVZ07Q4RuOa
    auto-update-0.1.6-H2bkDJCLxOy8MaR2La9ATP base-4.17.2.1
    base16-bytestring-1.0.2.0-IoYBHRVZawc2xOK7jNUhg3
    base64-bytestring-1.2.1.0-Ho7haZ0JPmRAFS27fbQFVQ
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-71BYPVg6lDO17X4ot5DP2
    containers-0.6.7 cryptonite-0.30-7zAI4Osc5DqDSnQ0JPp2cc
    hourglass-0.2.12-C8MsR1ldD2U4UFTZgbo65Z
    iproute-1.7.15-GL2h3JPOEJeErdClpNKYXD mtl-2.2.2
    network-3.1.4.0-6nVv84Orn5X1dkWXH7HumR
    psqueues-0.2.8.1-1HDL2kD8I9E8xvZFlmMSL4

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-HpzOhMHT1WWIeaxts1YjmS
key:                  dns-4.1.1-HpzOhMHT1WWIeaxts1YjmS
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  afa28bca04a5b6e4e9490c2ca70d89d4
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-HpzOhMHT1WWIeaxts1YjmS
depends:
    array-0.5.4.0 async-2.2.5-KSZIoACaSMlHctQ7vOTAKz
    attoparsec-0.14.4-4lxImiie977LVZ07Q4RuOa
    auto-update-0.1.6-H2bkDJCLxOy8MaR2La9ATP base-4.17.2.1
    base16-bytestring-1.0.2.0-IoYBHRVZawc2xOK7jNUhg3
    base64-bytestring-1.2.1.0-Ho7haZ0JPmRAFS27fbQFVQ
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-7zAI4Osc5DqDSnQ0JPp2cc
    dns-4.1.1-DkWYMNsWxshA7XRCNsCjwG-dns-internal
    hourglass-0.2.12-C8MsR1ldD2U4UFTZgbo65Z
    iproute-1.7.15-GL2h3JPOEJeErdClpNKYXD mtl-2.2.2
    network-3.1.4.0-6nVv84Orn5X1dkWXH7HumR
    psqueues-0.2.8.1-1HDL2kD8I9E8xvZFlmMSL4

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

